cannot run VMware

Asked by Taloola on 2018-10-13

Hello,

While trying to run vmware i recieved this error:

Unable to start services.

See log file /tmp/vmware-root/vmware-7518.log for details.

Any suggestions?

Thank you!

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu initramfs-tools Edit question
Assignee:
No assignee Edit question
Last query:
2018-10-15
Last reply:
2018-10-15
Manfred Hampl (m-hampl) said : #2

What messages are there in that log file?

Taloola (tali-almon) said : #3

how do i check it?

Manfred Hampl (m-hampl) said : #4

Re-try running VMware, and if you receive a message like
"See log file /tmp/vmware-root/vmware-7518.log for details."
issue the command

cat /tmp/vmware-root/vmware-7518.log

(change the filename according to the message)

Taloola (tali-almon) said : #5

amayzingdakini@amayzingdakini-HP-ProBook-430-G1:~$ cat /tmp/vmware-root/vmware-22296.log
cat: /tmp/vmware-root/vmware-22296.log: Permission denied

Manfred Hampl (m-hampl) said : #6

ok, apparently you have to use

sudo cat /tmp/vmware-root/vmware-****.log

Taloola (tali-almon) said : #7

amayzingdakini@amayzingdakini-HP-ProBook-430-G1:~$ sudo cat /tmp/vmware-root/vmware-22296.log
2018-10-14T13:59:07.120+03:00| vthread-4| I120: Log for VMware Workstation pid=22296 version=11.1.0 build=build-2496824 option=Release
2018-10-14T13:59:07.120+03:00| vthread-4| I120: The process is 64-bit.
2018-10-14T13:59:07.120+03:00| vthread-4| I120: Host codepage=UTF-8 encoding=UTF-8
2018-10-14T13:59:07.120+03:00| vthread-4| I120: Host is Linux 4.4.0-137-generic Ubuntu 14.04.5 LTS
2018-10-14T13:59:07.120+03:00| vthread-4| I120: DictionaryLoad: Cannot open file "/usr/lib/vmware/settings": No such file or directory.
2018-10-14T13:59:07.120+03:00| vthread-4| I120: Msg_Reset:
2018-10-14T13:59:07.120+03:00| vthread-4| I120: [msg.dictionary.load.openFailed] Cannot open file "/usr/lib/vmware/settings": No such file or directory.
2018-10-14T13:59:07.120+03:00| vthread-4| I120: ----------------------------------------
2018-10-14T13:59:07.120+03:00| vthread-4| I120: PREF Optional preferences file not found at /usr/lib/vmware/settings. Using default values.
2018-10-14T13:59:07.120+03:00| vthread-4| I120: DictionaryLoad: Cannot open file "/root/.vmware/config": No such file or directory.
2018-10-14T13:59:07.120+03:00| vthread-4| I120: Msg_Reset:
2018-10-14T13:59:07.120+03:00| vthread-4| I120: [msg.dictionary.load.openFailed] Cannot open file "/root/.vmware/config": No such file or directory.
2018-10-14T13:59:07.120+03:00| vthread-4| I120: ----------------------------------------
2018-10-14T13:59:07.120+03:00| vthread-4| I120: PREF Optional preferences file not found at /root/.vmware/config. Using default values.
2018-10-14T13:59:07.120+03:00| vthread-4| I120: PREF Unable to check permissions for preferences file.
2018-10-14T13:59:07.120+03:00| vthread-4| I120: DictionaryLoad: Cannot open file "/root/.vmware/preferences": No such file or directory.
2018-10-14T13:59:07.120+03:00| vthread-4| I120: Msg_Reset:
2018-10-14T13:59:07.120+03:00| vthread-4| I120: [msg.dictionary.load.openFailed] Cannot open file "/root/.vmware/preferences": No such file or directory.
2018-10-14T13:59:07.120+03:00| vthread-4| I120: ----------------------------------------
2018-10-14T13:59:07.120+03:00| vthread-4| I120: PREF Failed to load user preferences.
2018-10-14T13:59:07.162+03:00| vthread-4| W110: Logging to /tmp/vmware-root/vmware-22296.log
2018-10-14T13:59:07.168+03:00| vthread-4| I120: Obtaining info using the running kernel.
2018-10-14T13:59:07.168+03:00| vthread-4| I120: Created new pathsHash.
2018-10-14T13:59:07.168+03:00| vthread-4| I120: Setting header path for 4.4.0-137-generic to "/lib/modules/4.4.0-137-generic/build/include".
2018-10-14T13:59:07.168+03:00| vthread-4| I120: Validating path "/lib/modules/4.4.0-137-generic/build/include" for kernel release "4.4.0-137-generic".
2018-10-14T13:59:07.168+03:00| vthread-4| I120: Failed to find /lib/modules/4.4.0-137-generic/build/include/linux/version.h
2018-10-14T13:59:07.168+03:00| vthread-4| I120: /lib/modules/4.4.0-137-generic/build/include/linux/version.h not found, looking for generated/uapi/linux/version.h instead.
2018-10-14T13:59:07.168+03:00| vthread-4| I120: using /usr/bin/gcc-4.8 for preprocess check
2018-10-14T13:59:07.174+03:00| vthread-4| I120: Preprocessed UTS_RELEASE, got value "4.4.0-137-generic".
2018-10-14T13:59:07.174+03:00| vthread-4| I120: The header path "/lib/modules/4.4.0-137-generic/build/include" for the kernel "4.4.0-137-generic" is valid. Whoohoo!
2018-10-14T13:59:07.337+03:00| vthread-4| I120: found symbol version file /lib/modules/4.4.0-137-generic/build/Module.symvers
2018-10-14T13:59:07.337+03:00| vthread-4| I120: Reading symbol versions from /lib/modules/4.4.0-137-generic/build/Module.symvers.
2018-10-14T13:59:07.358+03:00| vthread-4| I120: Read 18950 symbol versions
2018-10-14T13:59:07.358+03:00| vthread-4| I120: Reading in info for the vmmon module.
2018-10-14T13:59:07.358+03:00| vthread-4| I120: Reading in info for the vmnet module.
2018-10-14T13:59:07.358+03:00| vthread-4| I120: Reading in info for the vmblock module.
2018-10-14T13:59:07.358+03:00| vthread-4| I120: Reading in info for the vmci module.
2018-10-14T13:59:07.358+03:00| vthread-4| I120: Reading in info for the vsock module.
2018-10-14T13:59:07.358+03:00| vthread-4| I120: Setting vsock to depend on vmci.
2018-10-14T13:59:07.358+03:00| vthread-4| I120: Invoking modinfo on "vmmon".
2018-10-14T13:59:07.360+03:00| vthread-4| I120: "/sbin/modinfo" exited with status 256.
2018-10-14T13:59:07.360+03:00| vthread-4| I120: Invoking modinfo on "vmnet".
2018-10-14T13:59:07.362+03:00| vthread-4| I120: "/sbin/modinfo" exited with status 256.
2018-10-14T13:59:07.362+03:00| vthread-4| I120: Invoking modinfo on "vmblock".
2018-10-14T13:59:07.363+03:00| vthread-4| I120: "/sbin/modinfo" exited with status 256.
2018-10-14T13:59:07.363+03:00| vthread-4| I120: Invoking modinfo on "vmci".
2018-10-14T13:59:07.365+03:00| vthread-4| I120: "/sbin/modinfo" exited with status 256.
2018-10-14T13:59:07.365+03:00| vthread-4| I120: Invoking modinfo on "vsock".
2018-10-14T13:59:07.368+03:00| vthread-4| I120: "/sbin/modinfo" exited with status 0.
2018-10-14T13:59:07.381+03:00| vthread-4| I120: to be installed: vmmon status: 0
2018-10-14T13:59:07.381+03:00| vthread-4| I120: to be installed: vmnet status: 0
2018-10-14T13:59:07.391+03:00| vthread-4| I120: Obtaining info using the running kernel.
2018-10-14T13:59:07.391+03:00| vthread-4| I120: Setting header path for 4.4.0-137-generic to "/lib/modules/4.4.0-137-generic/build/include".
2018-10-14T13:59:07.391+03:00| vthread-4| I120: Validating path "/lib/modules/4.4.0-137-generic/build/include" for kernel release "4.4.0-137-generic".
2018-10-14T13:59:07.391+03:00| vthread-4| I120: Failed to find /lib/modules/4.4.0-137-generic/build/include/linux/version.h
2018-10-14T13:59:07.391+03:00| vthread-4| I120: /lib/modules/4.4.0-137-generic/build/include/linux/version.h not found, looking for generated/uapi/linux/version.h instead.
2018-10-14T13:59:07.391+03:00| vthread-4| I120: using /usr/bin/gcc-4.8 for preprocess check
2018-10-14T13:59:07.397+03:00| vthread-4| I120: Preprocessed UTS_RELEASE, got value "4.4.0-137-generic".
2018-10-14T13:59:07.397+03:00| vthread-4| I120: The header path "/lib/modules/4.4.0-137-generic/build/include" for the kernel "4.4.0-137-generic" is valid. Whoohoo!
2018-10-14T13:59:07.559+03:00| vthread-4| I120: found symbol version file /lib/modules/4.4.0-137-generic/build/Module.symvers
2018-10-14T13:59:07.559+03:00| vthread-4| I120: Reading symbol versions from /lib/modules/4.4.0-137-generic/build/Module.symvers.
2018-10-14T13:59:07.579+03:00| vthread-4| I120: Read 18950 symbol versions
2018-10-14T13:59:07.579+03:00| vthread-4| I120: Kernel header path retrieved from FileEntry: /lib/modules/4.4.0-137-generic/build/include
2018-10-14T13:59:07.579+03:00| vthread-4| I120: Update kernel header path to /lib/modules/4.4.0-137-generic/build/include
2018-10-14T13:59:07.579+03:00| vthread-4| I120: Validating path "/lib/modules/4.4.0-137-generic/build/include" for kernel release "4.4.0-137-generic".
2018-10-14T13:59:07.579+03:00| vthread-4| I120: Failed to find /lib/modules/4.4.0-137-generic/build/include/linux/version.h
2018-10-14T13:59:07.579+03:00| vthread-4| I120: /lib/modules/4.4.0-137-generic/build/include/linux/version.h not found, looking for generated/uapi/linux/version.h instead.
2018-10-14T13:59:07.579+03:00| vthread-4| I120: using /usr/bin/gcc-4.8 for preprocess check
2018-10-14T13:59:07.585+03:00| vthread-4| I120: Preprocessed UTS_RELEASE, got value "4.4.0-137-generic".
2018-10-14T13:59:07.585+03:00| vthread-4| I120: The header path "/lib/modules/4.4.0-137-generic/build/include" for the kernel "4.4.0-137-generic" is valid. Whoohoo!
2018-10-14T13:59:07.586+03:00| vthread-4| I120: Found compiler at "/usr/bin/gcc"
2018-10-14T13:59:07.589+03:00| vthread-4| I120: Got gcc version "4.8".
2018-10-14T13:59:07.589+03:00| vthread-4| I120: The GCC version matches the kernel GCC minor version like a glove.
2018-10-14T13:59:07.589+03:00| vthread-4| I120: Using user supplied compiler "/usr/bin/gcc".
2018-10-14T13:59:07.592+03:00| vthread-4| I120: Got gcc version "4.8".
2018-10-14T13:59:07.592+03:00| vthread-4| I120: The GCC version matches the kernel GCC minor version like a glove.
2018-10-14T13:59:07.596+03:00| vthread-4| I120: Trying to find a suitable PBM set for kernel "4.4.0-137-generic".
2018-10-14T13:59:07.596+03:00| vthread-4| I120: No matching PBM set was found for kernel "4.4.0-137-generic".
2018-10-14T13:59:07.596+03:00| vthread-4| I120: The GCC version matches the kernel GCC minor version like a glove.
2018-10-14T13:59:07.596+03:00| vthread-4| I120: Validating path "/lib/modules/4.4.0-137-generic/build/include" for kernel release "4.4.0-137-generic".
2018-10-14T13:59:07.596+03:00| vthread-4| I120: Failed to find /lib/modules/4.4.0-137-generic/build/include/linux/version.h
2018-10-14T13:59:07.596+03:00| vthread-4| I120: /lib/modules/4.4.0-137-generic/build/include/linux/version.h not found, looking for generated/uapi/linux/version.h instead.
2018-10-14T13:59:07.596+03:00| vthread-4| I120: using /usr/bin/gcc-4.8 for preprocess check
2018-10-14T13:59:07.601+03:00| vthread-4| I120: Preprocessed UTS_RELEASE, got value "4.4.0-137-generic".
2018-10-14T13:59:07.602+03:00| vthread-4| I120: The header path "/lib/modules/4.4.0-137-generic/build/include" for the kernel "4.4.0-137-generic" is valid. Whoohoo!
2018-10-14T13:59:07.767+03:00| vthread-4| I120: The GCC version matches the kernel GCC minor version like a glove.
2018-10-14T13:59:07.767+03:00| vthread-4| I120: Validating path "/lib/modules/4.4.0-137-generic/build/include" for kernel release "4.4.0-137-generic".
2018-10-14T13:59:07.767+03:00| vthread-4| I120: Failed to find /lib/modules/4.4.0-137-generic/build/include/linux/version.h
2018-10-14T13:59:07.768+03:00| vthread-4| I120: /lib/modules/4.4.0-137-generic/build/include/linux/version.h not found, looking for generated/uapi/linux/version.h instead.
2018-10-14T13:59:07.768+03:00| vthread-4| I120: using /usr/bin/gcc-4.8 for preprocess check
2018-10-14T13:59:07.777+03:00| vthread-4| I120: Preprocessed UTS_RELEASE, got value "4.4.0-137-generic".
2018-10-14T13:59:07.777+03:00| vthread-4| I120: The header path "/lib/modules/4.4.0-137-generic/build/include" for the kernel "4.4.0-137-generic" is valid. Whoohoo!
2018-10-14T13:59:07.777+03:00| vthread-4| I120: Using temp dir "/tmp".
2018-10-14T13:59:07.778+03:00| vthread-4| I120: Obtaining info using the running kernel.
2018-10-14T13:59:07.778+03:00| vthread-4| I120: Setting header path for 4.4.0-137-generic to "/lib/modules/4.4.0-137-generic/build/include".
2018-10-14T13:59:07.778+03:00| vthread-4| I120: Validating path "/lib/modules/4.4.0-137-generic/build/include" for kernel release "4.4.0-137-generic".
2018-10-14T13:59:07.778+03:00| vthread-4| I120: Failed to find /lib/modules/4.4.0-137-generic/build/include/linux/version.h
2018-10-14T13:59:07.778+03:00| vthread-4| I120: /lib/modules/4.4.0-137-generic/build/include/linux/version.h not found, looking for generated/uapi/linux/version.h instead.
2018-10-14T13:59:07.778+03:00| vthread-4| I120: using /usr/bin/gcc-4.8 for preprocess check
2018-10-14T13:59:07.784+03:00| vthread-4| I120: Preprocessed UTS_RELEASE, got value "4.4.0-137-generic".
2018-10-14T13:59:07.784+03:00| vthread-4| I120: The header path "/lib/modules/4.4.0-137-generic/build/include" for the kernel "4.4.0-137-generic" is valid. Whoohoo!
2018-10-14T13:59:07.951+03:00| vthread-4| I120: found symbol version file /lib/modules/4.4.0-137-generic/build/Module.symvers
2018-10-14T13:59:07.951+03:00| vthread-4| I120: Reading symbol versions from /lib/modules/4.4.0-137-generic/build/Module.symvers.
2018-10-14T13:59:07.976+03:00| vthread-4| I120: Read 18950 symbol versions
2018-10-14T13:59:07.976+03:00| vthread-4| I120: Invoking modinfo on "vmmon".
2018-10-14T13:59:07.979+03:00| vthread-4| I120: "/sbin/modinfo" exited with status 256.
2018-10-14T13:59:07.979+03:00| vthread-4| I120: Invoking modinfo on "vmnet".
2018-10-14T13:59:07.981+03:00| vthread-4| I120: "/sbin/modinfo" exited with status 256.
2018-10-14T13:59:08.408+03:00| vthread-4| I120: Setting destination path for vmmon to "/lib/modules/4.4.0-137-generic/misc/vmmon.ko".
2018-10-14T13:59:08.408+03:00| vthread-4| I120: Extracting the vmmon source from "/usr/lib/vmware/modules/source/vmmon.tar".
2018-10-14T13:59:08.440+03:00| vthread-4| I120: Successfully extracted the vmmon source.
2018-10-14T13:59:08.440+03:00| vthread-4| I120: Building module with command "/usr/bin/make -j4 -C /tmp/modconfig-2E7O6U/vmmon-only auto-build HEADER_DIR=/lib/modules/4.4.0-137-generic/build/include CC=/usr/bin/gcc IS_GCC_3=no"
2018-10-14T13:59:10.152+03:00| vthread-4| W110: Failed to build vmmon. Failed to execute the build command.
2018-10-14T13:59:10.154+03:00| vthread-4| I120: Setting destination path for vmnet to "/lib/modules/4.4.0-137-generic/misc/vmnet.ko".
2018-10-14T13:59:10.154+03:00| vthread-4| I120: Extracting the vmnet source from "/usr/lib/vmware/modules/source/vmnet.tar".
2018-10-14T13:59:10.162+03:00| vthread-4| I120: Successfully extracted the vmnet source.
2018-10-14T13:59:10.162+03:00| vthread-4| I120: Building module with command "/usr/bin/make -j4 -C /tmp/modconfig-2E7O6U/vmnet-only auto-build HEADER_DIR=/lib/modules/4.4.0-137-generic/build/include CC=/usr/bin/gcc IS_GCC_3=no"
2018-10-14T13:59:11.807+03:00| vthread-4| W110: Failed to build vmnet. Failed to execute the build command.

Manfred Hampl (m-hampl) said : #8

It seems that you are missing some additional packages.
Maybe installing the package "build-essential" helps.

Taloola (tali-almon) said : #9

do you mean that one?: informational list of build-essential packages
i think i already have it..

anything else i can do?

Manfred Hampl (m-hampl) said : #10

Which version of VMWare do you have installed on your system?

What output do you receive for the command

vmware-modconfig --console --install-all

Taloola (tali-almon) said : #11

Apparently i have 2 versions of vmware...!

therefore 2 errors as well, when i tried to run each one of them :

See log file /tmp/vmware-root/vmware-9636.log for details.

and

See log file /tmp/vmware-root/vmware-11009.log for details.

Dont know which is which and how to check it.. sorry!

here are the versions i've found:
VMware-Player-6.0.2-1744117.x86_64.bundle
VMware-Player-7.1.0-2496824.x86_64.bundle

The result of the command:
amayzingdakini@amayzingdakini-HP-ProBook-430-G1:~$ vmware-modconfig --console --install-all
This opteration requires root privileges.

Manfred Hampl (m-hampl) said : #12

Sorry, I missed to take into account that the commands needs root privileges, the correct command should have been
sudo vmware-modconfig --console --install-all

But probably it is better to start with the question about the software version first: both packages on your system seem to be outdated; the current version number is VMware Workstation Player 15.0 (VMware player 6.0 is from the year 2013, and VMware player 7.0 is from 2014).
Maybe the best way forward is deleting all versions that you currently have on your system, downloading the newest version and installing that one.

Taloola (tali-almon) said : #13

here's the output:

amayzingdakini@amayzingdakini-HP-ProBook-430-G1:~$ sudo vmware-modconfig --console --install-all
[sudo] password for amayzingdakini:
Stopping VMware services:
   VMware Authentication Daemon done
   VM communication interface socket family done
   Virtual machine communication interface done
   Virtual machine monitor done
   Blocking file system done
Using kernel build system.
make: Entering directory `/tmp/modconfig-DMytdh/vmmon-only'
/usr/bin/make -C /lib/modules/4.4.0-137-generic/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. \
   MODULEBUILDDIR= modules
make[1]: Entering directory `/usr/src/linux-headers-4.4.0-137-generic'
  CC [M] /tmp/modconfig-DMytdh/vmmon-only/linux/driver.o
  CC [M] /tmp/modconfig-DMytdh/vmmon-only/linux/driverLog.o
  CC [M] /tmp/modconfig-DMytdh/vmmon-only/linux/hostif.o
  CC [M] /tmp/modconfig-DMytdh/vmmon-only/common/apic.o
  CC [M] /tmp/modconfig-DMytdh/vmmon-only/common/comport.o
  CC [M] /tmp/modconfig-DMytdh/vmmon-only/common/cpuid.o
  CC [M] /tmp/modconfig-DMytdh/vmmon-only/common/hashFunc.o
/tmp/modconfig-DMytdh/vmmon-only/linux/driver.c: In function ‘cleanup_module’:
/tmp/modconfig-DMytdh/vmmon-only/linux/driver.c:403:8: error: void value not ignored as it ought to be
    if (misc_deregister(&linuxState.misc)) {
        ^
/tmp/modconfig-DMytdh/vmmon-only/linux/driver.c: At top level:
/tmp/modconfig-DMytdh/vmmon-only/linux/driver.c:1332:1: warning: always_inline function might not be inlinable [-Wattributes]
 LinuxDriverSyncReadTSCs(uint64 *delta) // OUT: TSC max - TSC min
 ^
  CC [M] /tmp/modconfig-DMytdh/vmmon-only/common/memtrack.o
  CC [M] /tmp/modconfig-DMytdh/vmmon-only/common/phystrack.o
make[2]: *** [/tmp/modconfig-DMytdh/vmmon-only/linux/driver.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[1]: *** [_module_/tmp/modconfig-DMytdh/vmmon-only] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-4.4.0-137-generic'
make: *** [vmmon.ko] Error 2
make: Leaving directory `/tmp/modconfig-DMytdh/vmmon-only'
Using kernel build system.
make: Entering directory `/tmp/modconfig-DMytdh/vmnet-only'
/usr/bin/make -C /lib/modules/4.4.0-137-generic/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. \
   MODULEBUILDDIR= modules
make[1]: Entering directory `/usr/src/linux-headers-4.4.0-137-generic'
  CC [M] /tmp/modconfig-DMytdh/vmnet-only/driver.o
  CC [M] /tmp/modconfig-DMytdh/vmnet-only/hub.o
  CC [M] /tmp/modconfig-DMytdh/vmnet-only/userif.o
  CC [M] /tmp/modconfig-DMytdh/vmnet-only/netif.o
/tmp/modconfig-DMytdh/vmnet-only/driver.c: In function ‘VNetFileOpUnlockedIoctl’:
/tmp/modconfig-DMytdh/vmnet-only/driver.c:1194:20: error: ‘struct file’ has no member named ‘f_dentry’
    if (filp && filp->f_dentry) {
                    ^
/tmp/modconfig-DMytdh/vmnet-only/driver.c:1195:19: error: ‘struct file’ has no member named ‘f_dentry’
       inode = filp->f_dentry->d_inode;
                   ^
In file included from include/linux/pci.h:35:0,
                 from /tmp/modconfig-DMytdh/vmnet-only/compat_netdevice.h:27,
                 from /tmp/modconfig-DMytdh/vmnet-only/netif.c:43:
include/linux/pci_ids.h:2253:0: warning: "PCI_VENDOR_ID_VMWARE" redefined [enabled by default]
 #define PCI_VENDOR_ID_VMWARE 0x15ad
 ^
In file included from /tmp/modconfig-DMytdh/vmnet-only/net.h:38:0,
                 from /tmp/modconfig-DMytdh/vmnet-only/vnetInt.h:26,
                 from /tmp/modconfig-DMytdh/vmnet-only/netif.c:42:
/tmp/modconfig-DMytdh/vmnet-only/vm_device_version.h:56:0: note: this is the location of the previous definition
 #define PCI_VENDOR_ID_VMWARE 0x15AD
 ^
make[2]: *** [/tmp/modconfig-DMytdh/vmnet-only/driver.o] Error 1
make[2]: *** Waiting for unfinished jobs....
/tmp/modconfig-DMytdh/vmnet-only/userif.c: In function ‘VNetCopyDatagram’:
/tmp/modconfig-DMytdh/vmnet-only/userif.c:526:4: error: implicit declaration of function ‘skb_copy_datagram_iovec’ [-Werror=implicit-function-declaration]
    return skb_copy_datagram_iovec(skb, 0, &iov, len);
    ^
cc1: some warnings being treated as errors
make[2]: *** [/tmp/modconfig-DMytdh/vmnet-only/userif.o] Error 1
make[1]: *** [_module_/tmp/modconfig-DMytdh/vmnet-only] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-4.4.0-137-generic'
make: *** [vmnet.ko] Error 2
make: Leaving directory `/tmp/modconfig-DMytdh/vmnet-only'
Unable to install all modules. See log for details.

>>"Maybe the best way forward is deleting all versions that you currently have on your system, downloading the newest version and installing that one."

how do i reinstall?
i ask because a friend was installing the program for me..

Manfred Hampl (m-hampl) said : #14

I did a quick web search for the error messages, and for all references that I found the proposed solution was "you seem to have an outdated version, install the current one". So I assume that this is also the way to go for you.

According to https://askubuntu.com/questions/151099/how-to-uninstall-vmware-player you can use the command
sudo vmware-installer -u vmware-player
to uninstall the current version.

Use https://www.vmware.com/go/downloadplayer to download the current version and then install it with the command
sudo sh VMware-Player-15.0.0-10134415.x86_64.bundle
(Adapt the file name if necessary; look at the VMware.com web pages for further instructions)

Can you help with this problem?

Provide an answer of your own, or ask Taloola for more information if necessary.

To post a message you must log in.